/**
 * Copyright (c) 2009 - Lehigh University. Bethlehem, PA, USA.
 * All rights reserved.
 * This source code is a part of MARCHES Project. 
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement is
 * hereby granted, provided that the above copyright notice, the following
 * two paragraphs, and the author attribution appear in all copies of this
 * software.
 *
 * IN NO EVENT SHALL LEHIGH UNIVERSITY BE LIABLE TO ANY PARTY FOR DIRECT, 
 * INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF LEHIGH
 * UNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *	
 * LEHIGH UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, 
 * AND LEHIGH UNIVERSITY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, 
 * SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 **/

// modsDlg.cpp : implementation file
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Elearning.Teacher
{
    public partial class FormSlide : Form
    {
        public FormSlide()
        {
            InitializeComponent();
            this.panel1.BackColor = Color.BlanchedAlmond;
            this.TransparencyKey = this.panel1.BackColor;            
        }

        private void FormSlide_Load(object sender, EventArgs e)
        {
            IntPtr hmenu = ImageProc.USER32.GetSystemMenu(this.Handle, 0);

            // One way to hide the close button
            ImageProc.USER32.RemoveMenu(hmenu, ImageProc.USER32.SC_CLOSE, ImageProc.USER32.MF_BYCOMMAND);

            /* Here is another way to hide the close button
             * int cnt = GetMenuItemCount(hmenu);
             * RemoveMenu(hmenu, cnt - 1, MF_DISABLED | MF_BYPOSITION);
             * RemoveMenu(hmenu, cnt - 2, MF_DISABLED | MF_BYPOSITION);
             * DrawMenuBar(this.Handle);
             * */

        }
    }
}